漏洞信息详情

Dotproject 跨站脚本漏洞

  • CNNVD编号:CNNVD-201211-431
  • 危害等级: 中危
  • CVE编号: CVE-2012-5702
  • 漏洞类型: 跨站脚本
  • 发布时间: 2012-11-23
  • 威胁类型: 远程
  • 更新时间: 2014-10-22
  • 厂        商: dotproject
  • 漏洞来源: High-Tech Bridge S...

漏洞简介

Dotproject是一套基于Web的项目管理和跟踪工具。该工具提供公司管理、项目管理和任务进度跟踪等模块。

dotProject 2.1.7之前版本中存在跨站脚本漏洞,该漏洞源于程序执行color_selector操作时没有充分过滤‘callback’参数;程序执行date_format操作时没有充分过滤‘field’参数;程序执行addedit操作时,index.php脚本没有充分过滤‘company_name’参数。远程攻击者可利用该漏洞注入任意Web脚本或HTML。

漏洞公告

目前厂商已经发布了升级补丁以修复此安全问题,补丁获取链接:

http://sourceforge.net/projects/dotproject/files/dotproject/dotProject%20Version%202.1.7/

参考网址

来源:BID

链接:http://www.securityfocus.com/bid/56624

来源:OSVDB

链接:http://osvdb.org/87627

来源:SECUNIA

链接:http://secunia.com/advisories/51332

来源:www.htbridge.com

链接:https://www.htbridge.com/advisory/HTB23124

来源:XF

链接:http://xforce.iss.net/xforce/xfdb/80216

来源:sourceforge.net

链接:http://sourceforge.net/projects/dotproject/files/dotproject/dotProject%20Version%202.1.7/

来源:SECUNIA

链接:http://secunia.com/advisories/51332

漏洞信息快速查询

相关漏洞

更多